# Update Global Configuration by name

`PUT /lokta-lms/api/v1/configurations/name/{configName}`

Updates an enable/disable global configuration item by name

## Parameters
- `configName` (path, string, required): configName

## Request body (application/json)
- `dateFormat` (string)
- `dateValue` (string)
- `enabled` (boolean)
- `locale` (string)
- `stringValue` (string)
- `value` (integer)

## Responses
- `200`: OK

## Response fields
- `changes` (PutGlobalConfigurationsResponsechangesSwagger)
- `resourceId` (integer)

## Example request (cURL)
```bash
curl -X PUT \
  'https://default.lokta.tech/lokta-lms/api/v1/configurations/name/{configName}' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default' \
  -H 'Content-Type: application/json' \
  -d '{
  "dateFormat": "dd MMMM yyyy",
  "dateValue": "20 September 2011",
  "enabled": true,
  "locale": "en",
  "stringValue": "random text",
  "value": 2
}'
```

## Example response
```json
{
  "changes": {
    "dateValue": "20 September 2011",
    "enabled": true,
    "stringValue": "random text",
    "value": 2
  },
  "resourceId": 4
}
```

Interactive: https://developer.lokta.ai/reference#operation/updateConfigurationByName
